html {
  scroll-behavior: smooth;
}

header {
  /*
  background: rgba(var(--accentColorRGB), 0.3);
*/
  background: #fffafa;
}

#page-title {
  background: var(--accentColor);
}


main h2 {
  font-size: 4rem;
  letter-spacing: 4pt;
  line-height: 2;
  text-align: center;
  font-weight: 900;
  color: var(--accentColor);
}
main h2 span{
  font-size: 2.5rem;
  line-height: 2;
}

section {
  width: 100%;
  margin: 0 auto ;
  padding:5rem 0;
}

/*
section#block-s {
  background:#ffd;
}

section#block-c {
  background:#ecb;
}
*/

section h3 {
  font-size: 3rem;
  line-height:3;
  letter-spacing:10px;
  font-weight:900;
  padding:1rem 0 0.5rem;
  margin: 1rem auto;
  text-align: center;
  width: 100%;
  color:#fff;
  background: var(--accentColor);
}

section h3 rt {
  font-size: 1rem;
}

/*
section#block-s h3{
  background: var(--accentColor);
}

section#block-c h3{
  background: var(--accentColor);
}
*/

.index-main {
  width:100%;
  max-width:1280px;
  margin:0 auto;
  margin-bottom: 2rem;
  display: block;
}

.block-container{
  width:100%;
  background:#cf5;
  padding-top:1.5rem;
  padding-bottom:2rem;
  margin-bottom:2rem;
}


.block-container h4 {
  width:100%;
  display:block;
  text-align: center;
  font-size: 1.75rem;
  padding: 1.5rem 0 0;
  font-weight: 600;

}

.block-container ul {
  list-style: none;
}

.block-container > ul {
  width: 100%;
  margin: 1rem auto;
  padding: 0 1rem;
  display:flex;
  flex-wrap:wrap;
  justify-content:center;
}

.block-container > ul > li {
  margin: 0.5em 0.2em;
  border-radius: 5px;
  width:32%;
  box-shadow: 2px 2px 4px gray;
  transition: .6s;
  background:#fff;
}

.block-container > ul > li a {
  text-decoration: none;
  color: #222;
  white-space:normal;
  display: block;
  padding: 1em 0.75rem 0.75em;
  font-size: 1.25rem;
  line-height: 2rem;
  font-weight: 600;
  text-align:center;
  letter-spacing:1.5pt;
}

.block-container > ul > li:hover {
  transform: scale(0.98);
}

.block-container > .c-era > li {
  width:48%;
  box-shadow: none;
  background:none;
  border:none;
}

.block-container > .c-era > li:hover {
  transform:none;
}

.block-container > .c-era > li > ul li{
  width:100%;
  margin: 0.5em 0;
  border-radius: 5px;
  box-shadow: 2px 2px 4px gray;
  transition: .6s;
  background:#fff;
}

.block-container > .c-era > li > ul li:hover {
  transform: scale(0.98);
}


.block-container > .c-era > li > ul li a {
  text-align:left;
  padding-left:1em;
  letter-spacing:1.0pt;
  position:relative;
}

.block-container > .c-era > li > ul li a > span{
  font-size:1.10rem;
  padding-left:0.5em;
  color:#333;
  letter-spacing:0.5pt;
  position:absolute;
  display:inline-block;
}

.block-container > .c-era > li > ul.era1-5 li a > span{
  left:40%;
}
.block-container > .c-era > li > ul.era6-10 li a > span{
  left:50%;
}

.block-container > .c-era > li > ul li a > span > span{
  font-size:0.98rem;
  color:#b40926;
}

.block-container > p{
  width:100%;
  padding:0.5rem 3rem;
  color:#b40926;
  font-weight:600;
  line-height:2;
}

/* 小学校 */
/* オレンジ */
#s1{background:#FFE9D8;}
#s1 ul li {border:3px solid #FF7C19;}

/* 黄色 */
#s2{background:#FFF2B2;}
#s2 ul li {border:3px solid #FFDA26;}

/* 黄緑 */
#s3{background:#E8FFCC;}
#s3 ul li {border:3px solid #97FF19;}

/* ミントグリーン */
#s4{background:#BFFFE7;}
#s4 ul li {border:3px solid #0CFFA6;}

/* 水色 */
#s5{background:#BFEFFF;}
#s5 ul li {border:3px solid #32CCFF;}

/* 青 */
#s6{background:#BFC8FF;}
#s6 ul li {border:3px solid #3251FF;}

/* ピンク */
#s7{background:#FFBFFB;}
#s7 ul li {border:3px solid #FF4CF6;}

/* 赤 */
#s8{background:#FFCCD3;}
#s8 ul li {border:3px solid #FF3F5C;}

/* 中学校 */
/* 辛子色 */
#c1{background:#E5D6AC;}
#c1 ul li {border:3px solid #E5AE16;}

/* 紫 */
#c2{background:#CCB1C3;}
#c2 .c-era > li > ul li {border:3px solid #7F3264;}

/* 浅黄色 */
#c3{background:#C9E8EC;}
#c3 ul li {border:3px solid #13AFC4;}

#c3 ul li.blank{
  border:none;
  background:none;
  box-shadow: none;
}


@media (max-width: 999px) {
main h2 {
  letter-spacing: 1pt;
  font-size: 2.5rem;
  line-height: 2;
}
main h2 span{
  font-size: 2.5rem;
  line-height: 2;
}
.block-container > ul {
  display:block;
}

.block-container > ul > li {
  width:90%;
  margin:1rem auto;
}

.block-container > .c-era > li {
  width:90%;
}
.block-container > .c-era > li > ul.era6-10 li a > span{
  left:40%;
}

}


@media (max-width: 569px) {
.block-container > .c-era > li > ul li a > span{
  display:block;
  position:relative;
}

.block-container > .c-era > li > ul.era1-5 li a > span,
.block-container > .c-era > li > ul.era6-10 li a > span{
  left:0;
}

}

/* 入り口に戻る */
.back {
  width: 100%;
  max-width: 1280px;
  margin: 1rem auto 2rem;
  text-align: center;
}

.back a {
  display: inline-block;
  place-items: center;
  padding: 0.5rem 1rem;
  width: 70%;
  min-width: 200px;
  max-width: 750px;
  margin: 0 auto;
  font-size: 1.75rem;
  font-weight: 600;
  color: #ffffff;
  text-decoration: none;
  vertical-align: middle;
  line-height: 3;
  background: var(--accentColor);
  position: relative;
  border-radius: 24px;
  box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.3);
}

.back a::before,
.back a::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  right: 40px;
  margin: auto;
  vertical-align: middle;
}

.back a::before {
  width: 32px;
  height: 32px;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  background: #fff;
}

.back a::after {
  right: 51px;
  width: 14px;
  height: 14px;
  border-top: 4px solid var(--accentColor);
  border-right: 4px solid var(--accentColor);
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

@media screen and (max-width: 768px) {
  .back a {
    padding: 1em 1em 0.5em;
    font-size: 1.25rem;
    padding-right: 80px;
    line-height: 2;
  }
}